Loading...
Searching...
No Matches
BALL::Receptor Class Reference

`#include <BALL/DOCKING/COMMON/receptor.h>`

Inheritance diagram for BALL::Receptor:

## Public Member Functions

| Receptor ()
| Receptor (Protein *p)
virtual | ~Receptor ()
FlexDefinition | getFlexDefinition (Position i)
void | setFlexDefinition (Position i, FlexDefinition &fd)
vector< FlexDefinition > | getFlexDefinitions ()
void | addFlexConformation (Conformation *conf, FlexDefinition &fd)
void | addConformation (Conformation *conf)
Public Member Functions inherited from BALL::FlexibleMolecule
| FlexibleMolecule (Molecule *mol)
| FlexibleMolecule (const FlexibleMolecule &flexmol)
virtual | ~FlexibleMolecule ()
void | clearConformations ()
Size | getNumberOfConformations ()
const vector< Conformation * > & | getConformations () const
String | getConformationId (Position i)
Conformation * | getConformation (Position i)
Molecule * | getConformer (Position i)
Molecule * | getConformerById (String id)
Conformation * | getConformationById (String id)
bool | hasConformation (String id)
Molecule * | getParent ()
String | getId () const
void | setId (String id)
void | removeMoleculeOwnership ()

## Protected Attributes

vector< FlexDefinition > | flexinfo_
Protected Attributes inherited from BALL::FlexibleMolecule
String | id
Molecule * | molecule
vector< Conformation * > | conformations
HashMap< String, Conformation * > | conf_ids_
bool | molecule_ownership_

## Additional Inherited Members

Static Public Member Functions inherited from BALL::FlexibleMolecule
static void | generateTopologyHash (const AtomContainer *mol, String &hash, bool ignore_hydrogen=false)
Protected Member Functions inherited from BALL::FlexibleMolecule
bool | checkCompatibility (Conformation *conf)

## Detailed Description

Receptor class. This class represents protein receptors.

Definition at line 22 of file receptor.h.

## Constructor & Destructor Documentation

## Receptor() [1/2]

BALL::Receptor::Receptor | ( |  | ) |

## Receptor() [2/2]

BALL::Receptor::Receptor | ( | Protein * | p | ) |

## ~Receptor()

virtual BALL::Receptor::~Receptor | ( |  | ) |

virtual

## Member Function Documentation

## addConformation()

void BALL::Receptor::addConformation | ( | Conformation * | conf | ) |

virtual

Add a conformation

Parameters

  conformation | pointer

Reimplemented from BALL::FlexibleMolecule.

## addFlexConformation()

void BALL::Receptor::addFlexConformation | ( | Conformation * | conf,
|  | FlexDefinition & | fd )

Add a conformation with flexible side chains

Parameters

  conformation | pointer
  FlexDefinition |

## getFlexDefinition()

FlexDefinition BALL::Receptor::getFlexDefinition | ( | Position | i | ) |

## getFlexDefinitions()

vector< FlexDefinition > BALL::Receptor::getFlexDefinitions | ( |  | ) |

## setFlexDefinition()

void BALL::Receptor::setFlexDefinition | ( | Position | i,
|  | FlexDefinition & | fd )

## Member Data Documentation

## flexinfo_

vector<FlexDefinition> BALL::Receptor::flexinfo_

protected

Definition at line 44 of file receptor.h.